Bug 636735 - Dashboard - Message Portlet: Edit mode is overly-aggressive in disallowing blank fields.
Dashboard - Message Portlet: Edit mode is overly-aggressive in disallowing bl...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.0
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Corey Welton
:
Depends On:
Blocks: rhq4 jon30-dashboard
  Show dependency treegraph
 
Reported: 2010-09-23 00:45 EDT by Corey Welton
Modified: 2011-05-23 21:11 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Welton 2010-09-23 00:45:15 EDT
Description of problem:
When trying to edit a field in in the Message portlet, the GUI gets grumpy if you try to delete all the content in order to replace it.

Version-Release number of selected component (if applicable):


How reproducible:
Every time.

Steps to Reproduce:
1.  Add a Message portlet to your dashboard
2.  Click the "edit" button and enter the value "foobar" in the field; save.
3.  After returning to dashboard view, click the edit button again.
4.  Attempt to backspace over the text you've entered, or Ctrl-X the whole thing.
  
Actual results:

UI is validating before you've actually submitted anything, and thus won't let you leave that field blank.  You cannot simply remove the text before putting something else in the box- this is rejected.

Expected results:

Something a bit more user-friendly.

Additional info:
Comment 1 John Mazzitelli 2011-02-17 14:21:49 EST
smartgwt seems to have this working now
Comment 2 Corey Welton 2011-03-02 16:51:11 EST
Verified.
Comment 3 Corey Welton 2011-05-23 21:11:54 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 4 Corey Welton 2011-05-23 21:11:56 EDT
Bookkeeping - closing bug - fixed in recent release.

Note You need to log in before you can comment on or make changes to this bug.